package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.conveyStand.QueryPickStandReq;
import org.wcs.model.po.app.AppConveyPickStand;

import java.util.List;

public interface AppConveyPickStandService extends IService<AppConveyPickStand> {

    Tuple2<Long, List<AppConveyPickStand>> queryPickStand(QueryPickStandReq request, Integer pageSize, Integer pageIndex);
    List<AppConveyPickStand> queryPickStandByStandId(String standId);
    List<AppConveyPickStand> queryAll();
    int insertPickStand(AppConveyPickStand appConveyPickStand);
    int deletePickStand(String standId);
    int updatePickStand(AppConveyPickStand appConveyPickStand);
}
